%define oname gst-python
%define name gstreamer0.10-python
%define pygobject 2.11.2

Name:		%name
Version: 0.10.7
Release: %mkrel 1
Summary:	Python bindings for GStreamer
Group:		Development/Python
License: 	LGPL
URL:            http://gstreamer.net/
Source: 	http://gstreamer.freedesktop.org/src/gst-python/%oname-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires: 	python
Requires: 	python-gobject >= %pygobject
BuildRequires:	libgstreamer-plugins-base-devel >= %version
BuildRequires:	python-gobject >= %pygobject
BuildRequires:	libpython-devel
BuildRequires:	automake1.8
#gw for the docs
#BuildRequires:	xmlto
#BuildRequires:  libxml2-utils

%description
This module contains a binding that allows GStreamer applications
to be written in Python.

%prep
%setup -q -n %oname-%{version}
aclocal-1.8 -I common/m4
autoconf
automake-1.8

%build
%configure2_5x
export XML_CATALOG_FILES=/etc/xml/catalog
%make 

%install

rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc AUTHORS ChangeLog NEWS RELEASE README
%py_platsitedir/gst-0.10/
%py_platsitedir/pygst*
%_datadir/gst-python/
%_libdir/pkgconfig/gst-python-0.10.pc


%changelog
* Thu Feb 01 2007 Götz Waschk <waschk@mandriva.org> 0.10.7-1mdv2007.0
+ Revision: 115817
- new version
- fix buildrequires

* Wed Dec 06 2006 Götz Waschk <waschk@mandriva.org> 0.10.6-1mdv2007.1
+ Revision: 91721
- new version
- depend on python-gobject only

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.10.5-2mdv2007.1
+ Revision: 88357
- Import gstreamer0.10-python



* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.10.5-2mdv2007.1
- Rebuild

* Fri Jul 21 2006 Gtz Waschk <waschk@mandriva.org> 0.10.5-1mdv2007.0
- fix build
- New release 0.10.5

* Thu Jul 20 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-1mdv2007.0
- Rebuild

* Fri Apr 28 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-1mdk
- New release 0.10.4

* Thu Mar 23 2006 Götz Waschk <waschk@mandriva.org> 0.10.3-1mdk
- New release 0.10.3

* Tue Jan 24 2006 Gtz Waschk <waschk@mandriva.org> 0.10.2-2mdk
- fix build

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdk
- New release 0.10.2

* Tue Dec 27 2005 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdk
- New release 0.10.1

* Wed Dec 07 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.10.0-2mdk
- typo fixes
- use mkrel

* Tue Dec  6 2005 Gtz Waschk <waschk@mandriva.org> 0.10.0-1mdk
- fix package naming
- New release 0.10.0
- update file list
- drop patch

* Wed Jun 22 2005 Gtz Waschk <waschk@mandriva.org> 0.8.2-1mdk
- cleanup for rpmlint
- build fix
- New release 0.8.2

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 0.8.1-3mdk
- fix summary

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.8.1-2mdk
- Rebuild for new python

* Mon Nov 29 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- New release 0.8.1

* Mon Nov 15 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- New release 0.8.0

* Mon Nov 15 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.7.94-1mdk
- New release 0.7.94

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.93-1mdk
- requires new pygtk
- New release 0.7.93

* Wed Jun 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.92-1mdk
- reenable libtoolize
- fix source URL
- New release 0.7.92

* Wed Apr  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.91-1mdk
- fix file list
- don't run libtoolize
- new version

* Mon Sep 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-2mdk
- fix buildrequires

* Thu Aug 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-1mdk
- initial mdk package

* Wed Jun 11 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- Update

* Sat Mar 23 2002 David I. Lehn <dlehn@vt.edu>
- new gst-python package based on pygtk and gconf binding packages
